Subject: I-D Action: draft-ietf-spring-mpls-path-segment-07.txt

From: [email-masked]
Date: Mon, 20 Dec 2021 20:20:30 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Source Packet Routing in Networking WG of the IETF.

        Title           : Path Segment in MPLS Based Segment Routing Network
        Authors         : Weiqiang Cheng
                          Han Li
                          Mach(Guoyi) Chen
                          Rakesh Gandhi
                          Royi Zigler
	Filename        : draft-ietf-spring-mpls-path-segment-07.txt
	Pages           : 14
	Date            : 2021-12-20

Abstract:
   A Segment Routing (SR) path is identified by an SR segment list.
   Only the complete segment list can identify the end-to-end SR path,
   and a sub-set of segments from the segment list cannot distinguish
   one SR path from another as they may be partially congruent.  SR path
   identification is a pre-requisite for various use-cases such as
   Performance Measurement (PM), bidirectional paths correlation, and
   end-to-end 1+1 path protection.

   In SR for MPLS data plane (SR-MPLS), the segment identifiers are
   stripped from the packet through label popping as the packet transits
   the network.  This means that when a packet reaches the egress of the
   SR path, it is not possible to determine on which SR path it
   traversed the network.

   This document defines a new type of segment that is referred to as
   Path Segment, which is used to identify an SR path in an SR-MPLS
   network.  When used, it is inserted by the ingress node of the SR
   path and immediately follows the last segment identifier in the
   segment list of the SR path.  The Path Segment is preserved until it
   reaches the egress node for SR path identification and correlation.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-spring-mpls-path-segment/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-spring-mpls-path-segment-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-spring-mpls-path-segment-07

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts